Bug 1985933 - Downstream image registry recommendation
Summary: Downstream image registry recommendation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.10.0
Assignee: Matan Schatzman
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-26 09:47 UTC by Matan Schatzman
Modified: 2022-03-10 16:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-10 16:04:47 UTC
Target Upstream Version:


Attachments (Terms of Use)
example label (92.57 KB, image/png)
2021-07-26 09:47 UTC, Matan Schatzman
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10493 0 None open Bug 1985933: Improved label matching, added more options for registry suggestions 2021-11-17 11:47:44 UTC
Github openshift console pull 9626 0 None open Bug 1985933: Changed example label for image input 2021-07-26 11:55:01 UTC
Red Hat Product Errata RHSA-2022:0056 0 None Closed RGW: Creating users via Admin Ops API when using AWS Signature Version 4 2022-04-12 13:40:49 UTC

Description Matan Schatzman 2021-07-26 09:47:21 UTC
Created attachment 1805837 [details]
example label

Created attachment 1805837 [details]
example label

Description of problem:
When using the downstream version, the image registry example can be improved to suggest the right image. 

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Start openshift as downstream.
2. Open VM wizard, choose the image registry
3. View the example label below the input

Actual results:
Image suggestion is always rhel. registry.redhat.io/rhel8/rhel-guest-image

Expected results:
The example text should suggest the right image and not always rhel with a default image in case there isn't a match.

Fedora -> quay.io/kubevirt/fedora-cloud-container-disk-demo:latest
RHEL -> registry.redhat.io/rhel8/rhel-guest-image
CENTOS -> quay.io/kubevirt/centos8-container-disk-images:latest

Default is quay.io/kubevirt/fedora-cloud-container-disk-demo:latest , which will be applied to windows as well. 


Additional info:
Only apply to downstream.

Comment 2 Guohua Ouyang 2021-08-11 09:30:43 UTC
two opinions:
1. It can be improved a bit by matching version, like 
'registry.redhat.io/rhel7/rhel-guest-image' for rhel7  #add tag ":latest to" it as well
'registry.redhat.io/rhel8/rhel-guest-image' for rhel8
'quay.io/kubevirt/centos7-container-disk-images:latest' for centos7
'quay.io/kubevirt/centos8-container-disk-images:latest' for centos8

2. From QE perspective, use fedora image for windows templates is not good, still prefer to leave it blank for windows template.

Comment 4 Guohua Ouyang 2021-11-25 04:32:42 UTC
verified on master

Comment 8 errata-xmlrpc 2022-03-10 16:04:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.